View Single Post
Old 01-25-07, 02:09 PM   #2
dominik95
Registered User
 
Join Date: Jan 2007
Posts: 5
Lightbulb Re: G80 Emulator on Linux

I got the same problem any help would be really appreciated.

OS: Gentoo http://www.gentoo.org
Linux gpu 2.6.18-gentoo-r6 #1 SMP Wed Jan 17 14:42:53 CET 2007 i686 Intel(R) Pentium(R) 4 CPU 3.60GHz GenuineIntel GNU/Linux

here's part of Xorg.0.log :
(**) NVIDIA(0): Option "RegistryDwords" "8F773984=7"
(**) NVIDIA(0): Option "SLI" "Auto"
(**) NVIDIA(0): Enabling RENDER acceleration
(**) NVIDIA(0): NVIDIA SLI auto-select rendering option.
(WW) NVIDIA(0): DamageEvents are not currently compatible with SLI. Disabling
(WW) NVIDIA(0): DamageEvents.
(II) NVIDIA(0): NVIDIA SLI enabled.
(II) NVIDIA(0): NVIDIA GPU Quadro FX 1400 at PCI:1:0:0 (GPU-0)

drivers version tried :
the one specified here : http://developer.download.nvidia.com...ease_notes.pdf
and version 97.46

cards are :
01:00.0 VGA compatible controller: nVidia Corporation NV41GL [Quadro FX 1400] (rev a2)
02:00.0 VGA compatible controller: nVidia Corporation NV41GL [Quadro FX 1400] (rev a2)

symptom :
call to glCreateShader ( GL_GEOMETRY_SHADER_EXT ); or the ARB version gives an error
glxinfo does display version 2.1.0 but does not display the GL_EXT_geometry_shader4 extension.
the right headers are included and the right .so are used for linking.

thank you
dom
dominik95 is offline   Reply With Quote